/*
    lname：姓
    fname：名
    kokugo：国語の点数
    sansu：算数の点数
*/

var scores = [
    {
        lname: "磯辺",
        fname: "典子",
        kokugo: 80,
        sansu: 55
    },
    {
        lname: "近藤",
        fname: "妙子",
        kokugo: 60,
        sansu: 45
    },
    {
        lname: "佐々木",
        fname: "あけび",
        kokugo: 40,
        sansu: 65
    },
    {
        lname: "河西",
        fname: "忍",
        kokugo: 50,
        sansu: 85
    }
];

// 関数kyokaを定義
function hyoka(tokuten) {
    "use strict";
    // 国語の合計を計算する変数を初期化
    var kokugoGokei = 0;
    // 算数の最高点と最低点の変数を初期化
    var sansuSaiko = 0;
    var sansuSaitei = 100;

    // メンバーの人数分繰り返し
    for (var i = 0; i < tokuten.length; i++) {
        // 姓と名を表示
        console.log(tokuten[i].lname + tokuten[i].fname);

        // 得点によりメッセージを表示
        if (tokuten[i].kokugo >= 80) {
            console.log("たいへんよくできました");
        } else if (tokuten[i].kokugo >= 70) {
            console.log("よくできました");
        } else if (tokuten[i].kokugo >= 60) {
            console.log("ふつうです");
        } else if (tokuten[i].kokugo >= 50) {
            console.log("もうすこしです");
        } else {
            console.log("もうすこしがんばりましょう");
        }

        // 国語の点数を合計に加算
        kokugoGokei += tokuten[i].kokugo;

        // sansuSaikoの値よりメンバーの得点が高い場合は入れ替え
        if (tokuten[i].sansu > sansuSaiko) {
            sansuSaiko = tokuten[i].sansu;
        }

        // sansuSaiteiの値よりメンバーの得点が低い場合は入れ替え
        if (tokuten[i].sansu < sansuSaitei) {
            sansuSaitei = tokuten[i].sansu;
        }
    }
    // 国語の平均点を表示
    console.log("国語の平均点は" + kokugoGokei / tokuten.length + "です");
    // 算数の最高点と最低点を表示
    console.log("算数の最高点は" + sansuSaiko + "、最低点は" + sansuSaitei + "です");
}

// 関数kyokaを実行
hyoka(scores);
